# Method: accounts.gbpAccounts.linkGbpAccount

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.gbpAccounts/linkGbpAccount#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.gbpAccounts/linkGbpAccount#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.gbpAccounts/linkGbpAccount#body.request_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.gbpAccounts/linkGbpAccount#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.gbpAccounts/linkGbpAccount#body.response_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.gbpAccounts/linkGbpAccount#body.LinkGbpAccountResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.gbpAccounts/linkGbpAccount#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.gbpAccounts/linkGbpAccount#try-it)

Link the specified merchant to a GBP account for all countries.

To run this method, you must have admin access to the Merchant Center account. If you don't have admin access, the request fails with the error message `User is not an administrator of account {ACCOUNT_ID}`.

### HTTP request

`POST https://merchantapi.googleapis.com/accounts/v1alpha/{parent=accounts/*}/gbpAccounts:linkGbpAccount`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the parent resource to which the GBP account is linked. Format: `accounts/{account}`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "gbpEmail": string } ``` |

| Fields ||
|---|---|
| `gbpEmail` | `string` Required. The email address of the Business Profile account. |

### Response body

Response message for the gbpAccounts.linkGbpAccount method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "response": { object } } ``` |

| Fields ||
|---|---|
| `response` | `object` Empty response. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).